Ubuntu

[intrepid] Wacom Xorg module is incompatible with the kernel module shipped in kernel packages.

Reported by Alexia Death on 2008-08-23
80
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Intrepid
High
Tim Gardner
wacom-tools (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-wacom

Current xserver-xorg-input-wacom package Xorg module is version 0.8.1 and is not compatible with he upstream kernel module that comes with 2.6.26 kernel. Problems manifest as malfunctioning tablet and cure requires to install the correct version kernel module. My bamboo lost the ability to move the pointer when in contact with the board and "stuck" click events. Previous version of the package did not have this issue.

Related branches

Michal Sylwester (msylwester) wrote :

Same problem here. Solved by compiling new kernel module from sources from http://linuxwacom.sourceforge.net/

Timo Aaltonen (tjaalton) wrote :

Maybe 2.6.27 is recent enough, can you verify? Intrepid now has .27 available.

Changed in wacom-tools:
status: New → Incomplete
Michal Sylwester (msylwester) wrote :

Problem still there with 2.6.27-1. Again solved by building new module.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Alexia Death (alexiade) wrote :

Still there for 2.5.27-2. This will not go away on its own. As I understand kernel development process the merge window for 27 is past and there wont be an upstream merge for the changes. So to fix this either the merge is done on ubuntu side or the compatible module is shipped...

Sven Herzberg (herzi) wrote :

I just tested the daily live cd for Intrepid from 2008-08-31, my serial tablet does not work with that version.

Kristi (musubi-spaam) wrote :

Does not work with the (alpha 4) 2.6.26-5 or the 2.6.27-2 kernels. When plugging my wacom graphire 4 tablet in, hotplugging seems to work, as I can move the mouse around with the stylus, but pressing down with the tip causes the input to hang on the down click event. Additionally, unplugging my tablet causes Intrepid to log me off.

I can confirm this problem with a fresh install of Intrepid alpha-5 (amd64, NetInst), using a Wacom Bamboo Fun Medium. Moving the pointer works out-of-the-box, touching the pad causes the mouse pointer to freeze. Adding the wacom-InputDevice(s) to xorg.conf (see attached file) removes the freeze, however clicking still doesn't work.

I have the same problem with Intrepid alpha-5 (2.6.27-2 ).

Changed in linux:
status: Incomplete → Confirmed
kalibur (kaliburx) wrote :

I can confirm the same problem on HP TX2000 64bit alpha 5 kernel 2.6.27-3. pointer moves on hover freezes on screen contact. And get this any modifications to xorg.conf causes graphics to fail on reboot so I cant even try to activate the buttons.

Rocko (rockorequin) wrote :

Bugs 259035 and 272536 have some more info, and are probably duplicates of this one and vice versa.

259035 in particular has more info about X crashing when you unplug the tablet and it seems that someone has tried the latest development version of xserver-xorg-input-wacom, 0.8.1-4. The notes for this say it only supports kernel 2.6.26 anyway (http://sourceforge.net/project/shownotes.php?release_id=612404&group_id=69596).

I added the sections that Markus suggested to xorg.conf, but the only difference I found is that the cursor unfreezes faster when I move the pen away from the tablet.

@kalibur: at first I had the same problem as you ie X not booting after I modified xorg.conf, but it was because I had forgotten to include the 'Section "Input Device"' for stylus. (Xorg.log reported that it didn't recognise the stylus device.)

Alexia Death (alexiade) wrote :

The first bug you list, 259035, is not a duplicate. Its a separate issue with the driver that needs a tweak in source to fix. The second is at first glance duplicate all right. This issue and the first bug you referenced have separate solutions. All this
 issue requires to fix is the use of matching kernel module for the X driver. The other one is caused by a tiny bug in X driver that now that it has been identified is hopefully done in next release.

It is highly likely that the building for 2.6.27 only requires build system adjustment and nothing more. I hope there is a new development release from linux wacom project soon.

I was able to get the tablet working by rebuilding the kernel module, using the current beta sources from the Linux Wacom Project (linuxwacom-0.8.1-4). This includes pressure sensitivity in GIMP (You have to manually enable the tablet: "Preferences/Input Devices/Configure Extended Input Devices...").

I'm currently using Intrepid Alpha 6 x86_64 + latest updates (kernel is "linux-image-2.6.27-3-generic"). Here's what I did:

$~: sudo apt-get update
$~: sudo apt-get install linux-headers-$(uname -r) build-essential x11proto-core-dev libxau-dev libxdmcp-dev x11proto-input-dev x11proto-kb-dev xtrans-dev libx11-dev x11proto-xext-dev libxext-dev libxi-dev linux-libc-dev libc6-dev libncurses5-dev xserver-xorg-dev tk-dev tcl-dev -y
$~: wget http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.8.1-4.tar.bz2
$~: tar xjf linuxwacom-0.8.1-4.tar.bz2
$~: cd linuxwacom-0.8.1-4
$~: ./configure --enable-wacom
$~: sudo make
$~: cp /lib/modules/$(uname -r)/kernel/drivers/input/tablet/wacom.ko wacom.ko.$(uname -r)
$~: sudo cp src/2.6.26/wacom.ko /lib/modules/$(uname -r)/kernel/drivers/input/tablet/wacom.ko
$~: sudo depmod -e
# Add InputDevices to /etc/X11/xorg.conf, see previous post
# Reboot, enjoy =)

Sorry for being this verbose, it was done in the hope that it will help those who haven't done this kind of thing before.

@Rocko: The module seems to work just fine with 2.6.27. It would be nice if someone could confirm this. Sorry if my comment about xorg.conf was misleading. All I intended to say was that it removes the freeze but does not enable clicking/pressure sensitivity. In other words: The pointer no longer gets stuck but still doesn't work properly.

Rocko (rockorequin) wrote :

@Markus: recompiling as per your script worked for me.

X still crashes if you unplug the tablet (ie as Alexia pointed out, this is covered by the non-duplicate bug 259035).

Timo Aaltonen (tjaalton) wrote :

I'll update the driver to 0.8.1.4, and prepare a patch for the kernel.

Timo Aaltonen (tjaalton) wrote :

Here's the patch for the kernel, updates the driver 1.48 -> 1.49.

Timo Aaltonen (tjaalton) on 2008-09-25
Changed in linux:
importance: Undecided → High
status: New → Triaged
Changed in wacom-tools:
status: Confirmed → Invalid
Changed in linux:
milestone: none → ubuntu-8.10-beta
Dries Desmet (dries) on 2008-09-28
description: updated
Changed in linux:
assignee: nobody → ubuntu-kernel-team
Steve Langasek (vorlon) on 2008-10-02
Changed in linux:
milestone: ubuntu-8.10-beta → ubuntu-8.10
Caleb Sawtell (cheesecake) wrote :

When is this patch going to appear in the software updates?

Tim Gardner (timg-tpi) wrote :

Intrepid: UBUNTU: SAUCE: Update Wacom tablet driver to 1.49

Changed in linux:
assignee: ubuntu-kernel-team → timg-tpi
status: Triaged → Fix Committed
vilem novak (pildanovak) wrote :

downloaded beta, still doesn't work, although tablet works nicely in absolute mode by default(wacom intuos)

Caleb Sawtell (cheesecake) wrote :

I can confirm that this update has not fixed the bug

Michael Chang (thenewme91) wrote :

Fix Committed means that the fix is in the source tree -- a package has _not_ been released yet.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-7.10

---------------
linux (2.6.27-7.10) intrepid; urgency=low

  [ Alexey Starikovskiy ]

  * SAUCE: ACPI: EC: do transaction from interrupt context
    - LP: #277802

  [ Ben Collins ]

  * build/d-i: Change virtio-modules udeb to prio standard

  [ Colin Ian King ]

  * SAUCE: Blacklist IBM 2656 in serio/i8042
    - LP: #21558

  [ Henrik Rydberg ]

  * Revert "SAUCE: applesmc: Add MacBookAir"
  * SAUCE: [PATCH 1/5] hwmon: applesmc: Specified number of bytes to read
    should match actual
  * SAUCE: [PATCH 2/5] hwmon: applesmc: Fix the 'wait status failed: c !=
    8' problem
  * SAUCE: [PATCH 3/5] hwmon: applesmc: Prolong status wait
  * SAUCE: [PATCH 4/5] hwmon: applesmc: Allow for variable ALV0 and ALV1
    package length
  * SAUCE: [PATCH 5/5] hwmon: applesmc: Add support for Macbook Air
  * SAUCE: hwmon: applesmc: Add support for Macbook Pro 4
  * SAUCE: hwmon: applesmc: Add support for Macbook Pro 3
  * SAUCE: hwmon: applesmc: Lighter wait mechanism, drastic improvement

  [ Leann Ogasawara ]

  * Add automatic model setting for Samsung Q45
    - LP: #200210

  [ Tim Gardner ]

  * SAUCE: Correctly blacklist Thinkpad r40e in ACPI
    - LP: #278794
  * SAUCE: Update Wacom tablet driver to 1.49
    - LP: #260675
  * SAUCE: ALPS touchpad for Dell Latitude E6500/E6400
    - LP: #270643
  * SAUCE: Fix Wacom tablet 1.49 porting errors
  * SAUCE: Enable an e1000e Intel Corporation 82567 Gigabit controller
  * SAUCE: Fix Oops in wlan_setup
    - LP: #263309

  [ Upstream Kernel Changes ]

  * ath9k: fix oops on trying to hold the wrong spinlock
  * [Bluetooth] Fix double frees on error paths of btusb and bpa10x drivers
  * [Bluetooth] Add reset quirk for new Targus and Belkin dongles
  * [Bluetooth] Add reset quirk for A-Link BlueUSB21 dongle
  * Revert "ax25: Fix std timer socket destroy handling."
  * ax25: Quick fix for making sure unaccepted sockets get destroyed.
  * netrom: Fix sock_orphan() use in nr_release
  * Revert "V4L/DVB (8904): cx88: add missing unlock_kernel"
  * SLOB: fix bogus ksize calculation
  * net: only invoke dev->change_rx_flags when device is UP
  * tcp: Fix possible double-ack w/ user dma
  * net: Fix netdev_run_todo dead-lock
  * tcp: Fix tcp_hybla zero congestion window growth with small rho and large cwnd.
  * [MIPS] Sibyte: Register PIO PATA device only for Swarm and Litte Sur
  * eeepc-laptop: Fix hwmon interface
  * hwmon: (it87) Prevent power-off on Shuttle SN68PT
  * hwmon: Define sysfs interface for energy consumption register
  * hwmon: (adt7473) Fix some bogosity in documentation file
  * hwmon: (abituguru3) Enable reading from AUX3 fan on Abit AT8 32X
  * hwmon: (abituguru3) Enable DMI probing feature on Abit AT8 32X
  * [CPUFREQ] correct broken links and email addresses
  * SLOB: fix bogus ksize calculation fix
  * Don't allow splice() to files opened with O_APPEND
  * Linux 2.6.27

 -- Tim Gardner <email address hidden> Wed, 08 Oct 2008 21:19:34 -0600

Changed in linux:
status: Fix Committed → Fix Released

I just upgraded to kernel 2.6.27-7.10 (+wacom-tools 1:0.8.1.4-0ubuntu2). Tablet did not lose functionality as with previous kernel updates, which is probably a good sign. Will do a clean installation of Intrepid now (NetInst).

Primemover (primemover84) wrote :

I was having the same problem that the original poster had. After the updates today, my tablet now no longer works in any way.

Primemover (primemover84) wrote :

I'd like to add that it is detected with lsusb:

Bus 001 Device 004: ID 056a:0015 Wacom Co., Ltd

I have a Wacom Graphire 4x5

from the update notes it seems that they have disabled the auto detection of
tablets

On Sat, Oct 11, 2008 at 11:10 AM, Primemover <email address hidden>wrote:

> I'd like to add that it is detected with lsusb:
>
> Bus 001 Device 004: ID 056a:0015 Wacom Co., Ltd
>
> I have a Wacom Graphire 4x5
>
> --
> [intrepid] Wacom Xorg module is incompatible with the kernel module shipped
> in kernel packages.
> https://bugs.launchpad.net/bugs/260675
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Primemover (primemover84) wrote :

What do I need to do to make the tablet work, then?

Caleb Sawtell (cheesecake) wrote :

sudo cp /usr/share/doc/xserver-xorg-input-wacom/10-wacom.fdi
/usr/share/hal/fdi/policy/20thirdparty/10-wacom.fdi
its not enabled by default because it does not detect all of the tablet

On Sat, Oct 11, 2008 at 12:10 PM, Primemover <email address hidden>wrote:

> What do I need to do to make the tablet work, then?
>
> --
> [intrepid] Wacom Xorg module is incompatible with the kernel module shipped
> in kernel packages.
> https://bugs.launchpad.net/bugs/260675
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alexia Death (alexiade) wrote :

I do not think its a good idea to disable auto-detection. The more hardware works Out-of-box the better, even if only partially. Just stylus whenever you plug it in is better than no tablet. I personally prefer that to having to restart X to get whole tablet. Stylus is enough for most cases. The user is more likely to be able to turn it off, when that is not desired, than to be able to enable it. Disabling it and setting up your X are of same level of complexity and if a person can do one, person can also to the other. Is there a better place I could express my opinions on this disabling and pehaps get this decision overturned on the grounds that leaving it enabled is best for many users?

Michael Chang (thenewme91) wrote :

I do recall there was one other issue where any X application that started up when X was configured for a tablet but a tablet was not plugged in caused warnings (usually three) to be emitted to the console. I think this was back around dapper, or so. There were a great deal of false bug reports about that.

While auto-detection is ideal for most (if not all) hardware, I suspect doing it "correctly" for wacom tablets in such a way that it doesn't negatively affect users who have never heard of a tablet, let alone seen one, will take some time and work. I suspect that some restructuring of both the driver and the X input infrastructure would be required.

Anyway, to answer your question, good locations to start would probably be in Launchpad Questions, or in a separate bug report, depending on your level of knowledge and expertise.

Alexia Death (alexiade) wrote :

On Sat, Oct 11, 2008 at 9:19 AM, Michael Chang <email address hidden> wrote:

> I do recall there was one other issue where any X application that
> started up when X was configured for a tablet but a tablet was not
> plugged in caused warnings (usually three) to be emitted to the console.
> I think this was back around dapper, or so. There were a great deal of
> false bug reports about that.

This does not happen when HAL is used for auto detection. It DOES happen
with static conf in place in X if there is no tablet.

> While auto-detection is ideal for most (if not all) hardware, I suspect
> doing it "correctly" for wacom tablets in such a way that it doesn't
> negatively affect users who have never heard of a tablet, let alone seen
> one, will take some time and work. I suspect that some restructuring of
> both the driver and the X input infrastructure would be required.

The presence of the FDI file does not influence a user that does not have
tablet in any way. Impact is even less than having the sample conf section
in X conf or any other section. It only influences people who HAVE and
hotplug tablets and only in a positive way.

> Anyway, to answer your question, good locations to start would probably
> be in Launchpad Questions, or in a separate bug report, depending on
> your level of knowledge and expertise.

There must be a discussion about it somewhere already...

--Alexia

filsd (filsdd) wrote :

I agree with Alexia. If does not bug anyone I prefer the wacom half-working out of the box (as a matter of fact I do not use the eraser or mouse, just the stylus).
Can this be made???
before the release?

I just installed intrepid from beta and then ran updates etc. and now my wacom graphire4 4x5 is working without any changes from me. Unfortunately, only the stylus is working, the eraser is not nor is the scroll wheel on the tablet.

Primemover (primemover84) wrote :

I enabled it, and now only my stylus works. I don't understand why I had to enable it by copying some cryptic file. Isn't there some kind of GUI for this? Having to copy a cryptic file isn't exactly the best way to help people convert from Windows.

Well for me, I just copied the file over now, restarted, and it makes
absolutely no difference. Both before and after, stylus works perfectly,
nothing else works... if it goes through like this, this would be, imho,
quite a major regression from hardy... I know tablets weren't very easy to
enable in hardy, but at least they could be made to work perfectly. It's
great that it works "out of the box" but there are some major features
missing.

Alexia Death (alexiade) wrote :

@Matthew Vermeulen If you want the whole tablet and do not care about hotplug then you need to remove this fdi file and set it up just like you had it for hardy and it will work. For most users tho, setting up the X is too much troube and just stylus working is enough. I personally gave up on using the rest(my bamoo has eraser and pad) because real hotplug for stylus is better than having to restart X to get the whole thing.

I reinstalled Intrepid using the current NetInst. In this case the tablet does not work _at all_ after installation. Without knowledge of this bug-report I would most likely suspect Ubuntu wasn't supporting tablets.
Functionality (of the stylus) can be restored like Caleb suggested, but how many users are going to figure that out? If there are no negative side effects to having this file in place without a tablet, I would second the motion to add this file per default.

Michael Chang (thenewme91) wrote :

If you want someone to notice that the file should be placed in /usr/share/hal/fdi/policy/20thirdparty/ by default, you should file another bug, so that the status of that change can be tracked.

Alexia Death (alexiade) wrote :

Another bug filed @ https://bugs.launchpad.net/ubuntu/+source/wacom-tools/+bug/282203
lets continue the topic there.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers